#
# spec file for package fribidi (Version 0.10.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           fribidi
BuildRequires:  gtk-devel
%define prefix   /usr
Version:        0.10.4
Release:        500.2
Summary:        Free Implementation of BiDi Algorithm
License:        GPL
Group:          System/Libraries
URL:            http://fribidi.sourceforge.net/
Autoreqprov:    on
Provides:       locale(ar;he)
Source:         fribidi-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library implements the algorithm as described in the "Unicode
Standard Annex #9, the Bidirectional Algorithm,
http://www.unicode.org/unicode/reports/tr9/". FriBidi is exhaustively
tested against Bidi Reference Code and, to the best of our knowledge,
does not contain any conformance bugs.

In the API, we were inspired by the document "Bi-Di languages support -
BiDi API proposal" by Franck Portaneri, which he wrote as a proposal
for adding BiDi support to Mozilla.



Authors:
--------
    Dov Grobgeld <dov@imagic.weizmann.ac.il>

%debug_package
%package devel
Summary:        Static Libraries and Header Files for FriBiDi
Group:          System/Libraries
Requires:       %name = %version
 

%description devel
This package provides the static libraries and header files for
FriBiDi.



Authors:
--------
    Dov Grobgeld <dov@imagic.weizmann.ac.il>

%prep
%setup  -q
%{?suse_update_config:%{suse_update_config}}
rm -f acinclude.m4
touch acinclude.m4
autoreconf -i -f

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " ./configure --prefix=%{prefix} --libdir=%{_libdir}
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING* ChangeLog INSTALL NEWS README THANKS TODO tests run.tests
%_bindir/fribidi
%_libdir/libfribidi.so.*

%files devel
%defattr(-, root, root)
%_libdir/lib*.so
%_libdir/lib*.*a
%_libdir/pkgconfig/*.pc
%_includedir/fribidi
%_bindir/fribidi-config                

%changelog -n fribidi
* Tue Feb 28 2006 - mfabian@suse.de
- add "Provides: locale(ar,he)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Mar 09 2004 - mfabian@suse.de
- Bugzilla #34267: fix this by adding the compiler option
  "-fno-strict-aliasing".
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue May 13 2003 - nashif@suse.de
- package forgotten files
* Sat Aug 10 2002 - nashif@suse.de
- added missing requires to devel package
* Wed Jul 03 2002 - meissner@suse.de
- rerun auto* tools
* Sun Jun 09 2002 - nashif@suse.de
- Update to version 0.10.4
* Fri May 03 2002 - nashif@suse.de
- Update to 0.10.3
- Use _libdir macro and fix for x86_64
* Fri Mar 01 2002 - nashif@suse.de
- Fixed for s390x: using _libdir instead of plain path
* Fri Feb 08 2002 - nashif@suse.de
- Update to version 0.10.1
* Wed Apr 11 2001 - nashif@suse.de
- Update to version 0.9.0
* Fri Feb 09 2001 - nashif@suse.de
- Update to version 0.1.15
* Sun Nov 05 2000 - nashif@suse.de
- Update to 0.1.14
- Changed neededforbuild
- add sub packages fribidi-devel
* Fri Sep 22 2000 - nashif@suse.de
- Updated to 0.1.12
* Tue Jun 20 2000 - schwab@suse.de
- Fix use of suse_update_config macro.
* Fri Apr 28 2000 - nashif@suse.de
- Update to version 0.1.10
* Wed Apr 12 2000 - nashif@suse.de
- Update to version 0.1.9
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sun Feb 13 2000 - nashif@suse.de
- Initial Release ( Version: 0.1.8 )
